Ubuntu

libpam0g error while upgrading from 8.04 to 8.10 alpha6

Reported by ThinkOpenly on 2008-10-01
6
Affects Status Importance Assigned to Milestone
debconf (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: libpam0g

running upgrade-manager -d on an 8.04 system to upgrade to 8.10 alpha6, I see:
---
Preparing to replace libpam0g 0.99.7.1-5ubuntu6.1 (using .../libpam0g_1.0.1-4ubuntu4_amd64.deb) ...
Unpacking replacement libpam0g ...
Setting up libpam0g (1.0.1-4ubuntu4) ...
Checking for services that may need to be restarted...Checking init scripts...
---
and a "Configuring libpam0g" debconf window ("Services to restart for PAM library upgrade": samba, cron, atd), and an Error popup:

"An error occurred while loading or saving configuration information for frontend. Some of your configuration settings may not work properly."

with the following in a scrollable area:

Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: Failed to connect to socket /tmp/dbus-FhTYQqEjmV: Connection refused)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: Failed to connect to socket /tmp/dbus-FhTYQqEjmV: Connection refused)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: Failed to connect to socket /tmp/dbus-FhTYQqEjmV: Connection refused)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: Failed to connect to socket /tmp/dbus-FhTYQqEjmV: Connection refused)
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Failed to get connection to session: Failed to connect to socket /tmp/dbus-FhTYQqEjmV: Connection refused)

ThinkOpenly (thinkopenly) wrote :
ThinkOpenly (thinkopenly) wrote :
ThinkOpenly (thinkopenly) wrote :
ThinkOpenly (thinkopenly) wrote :
ThinkOpenly (thinkopenly) wrote :

just rebooted, and the upgrade appears to have gone successfully

Steve Langasek (vorlon) wrote :

this error happens when calling debconf; it must be a debconf or libgnome2-perl bug, not a PAM bug.

Steve McInerney (spm) wrote :

Have just had a similar issue upgrading to 8.10 beta. The upgrade of libpam0g "hung".

from ps afxww:

root 13033 1.8 5.8 150756 122168 ? Ss 12:07 2:45 python /tmp/kde-root/adept_managergU4Bfb.tmp-extract/dist-upgrade.py --frontend DistUpgradeViewKDE
root 18992 0.0 4.0 150768 84900 pts/29 Ss+ 13:17 0:00 \_ python /tmp/kde-root/adept_managergU4Bfb.tmp-extract/dist-upgrade.py --frontend DistUpgradeViewKDE
root 23129 0.0 0.4 10664 8440 pts/30 Ss+ 13:19 0:00 \_ /usr/bin/dpkg --force-overwrite --status-fd 83 --configure libpam0g
root 23130 0.0 0.4 12544 9916 pts/30 S+ 13:19 0:00 \_ /usr/bin/perl -w /usr/share/debconf/frontend /var/lib/dpkg/info/libpam0g.postinst configure 0.99.7.1-5ubuntu6.1
root 23142 0.0 0.0 3816 1424 pts/30 S+ 13:19 0:00 \_ /bin/bash /var/lib/dpkg/info/libpam0g.postinst configure 0.99.7.1-5ubuntu6.1

killed 23142 - nothing. killed it's parent 23130 and upgrade continued.

main.log had:
2008-10-03 13:23:18,454 WARNING no activity on terminal for 240 seconds (Configuring libpam0g)

Vesa K (j2007jokunen) wrote :

I get same error when upgading from 8.04.1 to 8.10

One error:
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit ....

Newer libpam0g:
Preparing to replace libpam0g 0.99.7.1-5ubuntu6.1 (using .../libpam0g_1.0.1-4ubuntu5.3_i386.deb) ...
Unpacking replacement libpam0g ...
Setting up libpam0g (1.0.1-4ubuntu5.3) ...
Checking for services that may need to be restarted...Checking init scripts...

Different services:
"Configuring libpam0g" debconf window ("Services to restart for PAM library upgrade": dovecot, cron, atd)

Colin Watson (cjwatson) wrote :

I'm not sure I see how this can be a debconf bug - isn't it the fault of the package management interface for not passing down the right environment variables, or something? If somebody does think it's a debconf bug, I'll need (developer!) help to see why ...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers